! copyright (c) 2008 Swedish Defence Research Agency (FOI)
! may not be copied or distributed without written permission from FOI



	COMPLEX*16 FUNCTION EIMULT (Z)
C	eimult := i*z

	IMPLICIT NONE

	COMPLEX*16 Z

	COMPLEX*16 ZNOW

	ZNOW = Z

	EIMULT = DCMPLX (-DIMAG(ZNOW),DREAL(ZNOW))

	RETURN
	END
